'''
Created on 20-Jan-2022

@author: bthakur
'''

import os
import codecs
import inspect
import traceback
import random

from xv.util import UtilClass

# _putnam_helper
# PutnamHelper

class PutnamHelper(UtilClass):
    
    def __init__(self, **kwargs):
        super().__init__(**kwargs)

        self._putnam_level_01_helper = None

        
        self._kwargs = kwargs
        pass

    def get_putnam_level_01_helper(self):
        if self._putnam_level_01_helper is None:
            self._init_putnam_level_01_helper(**self._kwargs)
        return self._putnam_level_01_helper
        pass


    def _init_putnam_level_01_helper(self, **kwargs):  
        from ._putnam_level_01_helper import PutnamLevel01Helper
        self._putnam_level_01_helper = PutnamLevel01Helper(**kwargs) 
        pass

   
    pass
#class PutnamHelper:
